"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConstructHeaders = void 0;
const createConstructHeaders = (headers) => {
    if (typeof headers === 'undefined') {
        return {};
    }
    const keys = Object.keys(headers);
    const singleValueHeaders = {};
    const multiValueHeaders = {};
    for (const key of keys) {
        const value = headers[key];
        if (Array.isArray(value)) {
            multiValueHeaders[key] = value;
        }
        else {
            singleValueHeaders[key] = value;
        }
    }
    return {
        headers: singleValueHeaders,
        multiValueHeaders,
    };
};
exports.createConstructHeaders = createConstructHeaders;
