import { HTTP_RESPONSE_CODE } from '@sudoo/magic';
import { APIGatewayProxyResult } from 'aws-lambda';
import { LambdaResponseBodyType, LambdaResponseHeaderElement, LambdaResponseHeaderType } from './declare';
export declare class LambdaResponseBuilder {
    static create(): LambdaResponseBuilder;
    private _headers;
    private _body;
    private _isBase64Encoded;
    private constructor();
    addHeader(key: string, value: LambdaResponseHeaderElement): this;
    mergeHeaders(headers: LambdaResponseHeaderType): this;
    replaceHeaders(headers: LambdaResponseHeaderType): this;
    addBody(key: string, value: any): this;
    replaceBody(body: LambdaResponseBodyType): this;
    setBase64Encoded(isBase64Encoded: boolean): this;
    build(statusCode: HTTP_RESPONSE_CODE): APIGatewayProxyResult;
}
