"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LambdaResponseManager = void 0;
const response_builder_1 = require("./response-builder");
class LambdaResponseManager {
    static create() {
        return new LambdaResponseManager();
    }
    constructor() {
        this._middlewareSet = new Set();
    }
    addMiddleware(middleware) {
        this._middlewareSet.add(middleware);
        return this;
    }
    createBuilder() {
        const builder = response_builder_1.LambdaResponseBuilder.create();
        this._middlewareSet.forEach((middleware) => {
            middleware(builder);
        });
        return builder;
    }
}
exports.LambdaResponseManager = LambdaResponseManager;
